package Locale::Codes::Script;

# This file was automatically generated.  Any changes to this file will
# be lost the next time 'get_codes' is run.
#    Generated on: Tue Mar  1 15:02:24 EST 2011

=pod

=head1 NAME

Locale::Codes::Script - script codes for the Locale::Script module

=head1 SYNOPSIS

This module contains data used by the Locale::Script module. It is
not intended to be used directly, and contains no calleable routines.

=head1 AUTHOR

See Locale::Codes for full author history.

Currently maintained by Sullivan Beck (sbeck@cpan.org).

=head1 COPYRIGHT

   Copyright (c) 1997-2001 Canon Research Centre Europe (CRE).
   Copyright (c) 2001-2010 Neil Bowers
   Copyright (c) 2010-2011 Sullivan Beck

This module is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

=cut

use strict;
use warnings;
require 5.002;

our($VERSION);
$VERSION='3.16';

$Locale::Codes::Data{'script'}{'id'} = '0156';

$Locale::Codes::Data{'script'}{'id2names'} = {
   q(0001) => [
      q(Afaka),
      ],
   q(0002) => [
      q(Arabic),
      ],
   q(0003) => [
      q(Imperial Aramaic),
      ],
   q(0004) => [
      q(Armenian),
      ],
   q(0005) => [
      q(Avestan),
      ],
   q(0006) => [
      q(Balinese),
      ],
   q(0007) => [
      q(Bamum),
      ],
   q(0008) => [
      q(Bassa Vah),
      ],
   q(0009) => [
      q(Batak),
      ],
   q(0010) => [
      q(Bengali),
      ],
   q(0011) => [
      q(Blissymbols),
      ],
   q(0012) => [
      q(Bopomofo),
      ],
   q(0013) => [
      q(Brahmi),
      ],
   q(0014) => [
      q(Braille),
      ],
   q(0015) => [
      q(Buginese),
      ],
   q(0016) => [
      q(Buhid),
      ],
   q(0017) => [
      q(Chakma),
      ],
   q(0018) => [
      q(Unified Canadian Aboriginal Syllabics),
      ],
   q(0019) => [
      q(Carian),
      ],
   q(0020) => [
      q(Cham),
      ],
   q(0021) => [
      q(Cherokee),
      ],
   q(0022) => [
      q(Cirth),
      ],
   q(0023) => [
      q(Coptic),
      ],
   q(0024) => [
      q(Cypriot),
      ],
   q(0025) => [
      q(Cyrillic),
      ],
   q(0026) => [
      q(Cyrillic (Old Church Slavonic variant)),
      ],
   q(0027) => [
      q(Devanagari (Nagari)),
      ],
   q(0028) => [
      q(Deseret (Mormon)),
      ],
   q(0029) => [
      q(Duployan shorthand, Duployan stenography),
      ],
   q(0030) => [
      q(Egyptian demotic),
      ],
   q(0031) => [
      q(Egyptian hieratic),
      ],
   q(0032) => [
      q(Egyptian hieroglyphs),
      ],
   q(0033) => [
      q(Elbasan),
      ],
   q(0034) => [
      q(Ethiopic (Geez)),
      ],
   q(0035) => [
      q(Georgian (Mkhedruli)),
      ],
   q(0036) => [
      q(Khutsuri (Asomtavruli and Nuskhuri)),
      ],
   q(0037) => [
      q(Glagolitic),
      ],
   q(0038) => [
      q(Gothic),
      ],
   q(0039) => [
      q(Grantha),
      ],
   q(0040) => [
      q(Greek),
      ],
   q(0041) => [
      q(Gujarati),
      ],
   q(0042) => [
      q(Gurmukhi),
      ],
   q(0043) => [
      q(Hangul (Hangul, Hangeul)),
      ],
   q(0044) => [
      q(Han (Hanzi, Kanji, Hanja)),
      ],
   q(0045) => [
      q(Hanunoo (Hanunoo)),
      ],
   q(0046) => [
      q(Han (Simplified variant)),
      ],
   q(0047) => [
      q(Han (Traditional variant)),
      ],
   q(0048) => [
      q(Hebrew),
      ],
   q(0049) => [
      q(Hiragana),
      ],
   q(0050) => [
      q(Pahawh Hmong),
      ],
   q(0051) => [
      q((alias for Hiragana + Katakana)),
      ],
   q(0052) => [
      q(Old Hungarian),
      ],
   q(0053) => [
      q(Indus (Harappan)),
      ],
   q(0054) => [
      q(Old Italic (Etruscan, Oscan, etc.)),
      ],
   q(0055) => [
      q(Javanese),
      ],
   q(0056) => [
      q(Japanese (alias for Han + Hiragana + Katakana)),
      ],
   q(0057) => [
      q(Jurchen),
      ],
   q(0058) => [
      q(Kayah Li),
      ],
   q(0059) => [
      q(Katakana),
      ],
   q(0060) => [
      q(Kharoshthi),
      ],
   q(0061) => [
      q(Khmer),
      ],
   q(0062) => [
      q(Kannada),
      ],
   q(0063) => [
      q(Korean (alias for Hangul + Han)),
      ],
   q(0064) => [
      q(Kpelle),
      ],
   q(0065) => [
      q(Kaithi),
      ],
   q(0066) => [
      q(Tai Tham (Lanna)),
      ],
   q(0067) => [
      q(Lao),
      ],
   q(0068) => [
      q(Latin (Fraktur variant)),
      ],
   q(0069) => [
      q(Latin (Gaelic variant)),
      ],
   q(0070) => [
      q(Latin),
      ],
   q(0071) => [
      q(Lepcha (Rong)),
      ],
   q(0072) => [
      q(Limbu),
      ],
   q(0073) => [
      q(Linear A),
      ],
   q(0074) => [
      q(Linear B),
      ],
   q(0075) => [
      q(Lisu (Fraser)),
      ],
   q(0076) => [
      q(Loma),
      ],
   q(0077) => [
      q(Lycian),
      ],
   q(0078) => [
      q(Lydian),
      ],
   q(0079) => [
      q(Mandaic, Mandaean),
      ],
   q(0080) => [
      q(Manichaean),
      ],
   q(0081) => [
      q(Mayan hieroglyphs),
      ],
   q(0082) => [
      q(Mende),
      ],
   q(0083) => [
      q(Meroitic Cursive),
      ],
   q(0084) => [
      q(Meroitic Hieroglyphs),
      ],
   q(0085) => [
      q(Malayalam),
      ],
   q(0086) => [
      q(Moon (Moon code, Moon script, Moon type)),
      ],
   q(0087) => [
      q(Mongolian),
      ],
   q(0088) => [
      q(Mro, Mru),
      ],
   q(0089) => [
      q(Meitei Mayek (Meithei, Meetei)),
      ],
   q(0090) => [
      q(Myanmar (Burmese)),
      ],
   q(0091) => [
      q(Old North Arabian (Ancient North Arabian)),
      ],
   q(0092) => [
      q(Nabataean),
      ],
   q(0093) => [
      q(Nakhi Geba ('Na-'Khi Ggo-baw, Naxi Geba)),
      ],
   q(0094) => [
      q(N'Ko),
      ],
   q(0095) => [
      q(Nushu),
      ],
   q(0096) => [
      q(Ogham),
      ],
   q(0097) => [
      q(Ol Chiki (Ol Cemet, Ol, Santali)),
      ],
   q(0098) => [
      q(Old Turkic, Orkhon Runic),
      ],
   q(0099) => [
      q(Oriya),
      ],
   q(0100) => [
      q(Osmanya),
      ],
   q(0101) => [
      q(Palmyrene),
      ],
   q(0102) => [
      q(Old Permic),
      ],
   q(0103) => [
      q(Phags-pa),
      ],
   q(0104) => [
      q(Inscriptional Pahlavi),
      ],
   q(0105) => [
      q(Psalter Pahlavi),
      ],
   q(0106) => [
      q(Book Pahlavi),
      ],
   q(0107) => [
      q(Phoenician),
      ],
   q(0108) => [
      q(Miao (Pollard)),
      ],
   q(0109) => [
      q(Inscriptional Parthian),
      ],
   q(0110) => [
      q(Reserved for private use (start)),
      ],
   q(0111) => [
      q(Reserved for private use (end)),
      ],
   q(0112) => [
      q(Rejang (Redjang, Kaganga)),
      ],
   q(0113) => [
      q(Rongorongo),
      ],
   q(0114) => [
      q(Runic),
      ],
   q(0115) => [
      q(Samaritan),
      ],
   q(0116) => [
      q(Sarati),
      ],
   q(0117) => [
      q(Old South Arabian),
      ],
   q(0118) => [
      q(Saurashtra),
      ],
   q(0119) => [
      q(SignWriting),
      ],
   q(0120) => [
      q(Shavian (Shaw)),
      ],
   q(0121) => [
      q(Sharada, Sarada),
      ],
   q(0122) => [
      q(Khudawadi, Sindhi),
      ],
   q(0123) => [
      q(Sinhala),
      ],
   q(0124) => [
      q(Sora Sompeng),
      ],
   q(0125) => [
      q(Sundanese),
      ],
   q(0126) => [
      q(Syloti Nagri),
      ],
   q(0127) => [
      q(Syriac),
      ],
   q(0128) => [
      q(Syriac (Estrangelo variant)),
      ],
   q(0129) => [
      q(Syriac (Western variant)),
      ],
   q(0130) => [
      q(Syriac (Eastern variant)),
      ],
   q(0131) => [
      q(Tagbanwa),
      ],
   q(0132) => [
      q(Takri, Takri, Tankri),
      ],
   q(0133) => [
      q(Tai Le),
      ],
   q(0134) => [
      q(New Tai Lue),
      ],
   q(0135) => [
      q(Tamil),
      ],
   q(0136) => [
      q(Tangut),
      ],
   q(0137) => [
      q(Tai Viet),
      ],
   q(0138) => [
      q(Telugu),
      ],
   q(0139) => [
      q(Tengwar),
      ],
   q(0140) => [
      q(Tifinagh (Berber)),
      ],
   q(0141) => [
      q(Tagalog (Baybayin, Alibata)),
      ],
   q(0142) => [
      q(Thaana),
      ],
   q(0143) => [
      q(Thai),
      ],
   q(0144) => [
      q(Tibetan),
      ],
   q(0145) => [
      q(Ugaritic),
      ],
   q(0146) => [
      q(Vai),
      ],
   q(0147) => [
      q(Visible Speech),
      ],
   q(0148) => [
      q(Warang Citi (Varang Kshiti)),
      ],
   q(0149) => [
      q(Woleai),
      ],
   q(0150) => [
      q(Old Persian),
      ],
   q(0151) => [
      q(Cuneiform, Sumero-Akkadian),
      ],
   q(0152) => [
      q(Yi),
      ],
   q(0153) => [
      q(Code for inherited script),
      ],
   q(0154) => [
      q(Mathematical notation),
      ],
   q(0155) => [
      q(Symbols),
      ],
};

$Locale::Codes::Data{'script'}{'alias2id'} = {
   q((alias for hiragana + katakana)) => [
      q(0051),
      q(0),
      ],
   q(afaka) => [
      q(0001),
      q(0),
      ],
   q(arabic) => [
      q(0002),
      q(0),
      ],
   q(armenian) => [
      q(0004),
      q(0),
      ],
   q(avestan) => [
      q(0005),
      q(0),
      ],
   q(balinese) => [
      q(0006),
      q(0),
      ],
   q(bamum) => [
      q(0007),
      q(0),
      ],
   q(bassa vah) => [
      q(0008),
      q(0),
      ],
   q(batak) => [
      q(0009),
      q(0),
      ],
   q(bengali) => [
      q(0010),
      q(0),
      ],
   q(blissymbols) => [
      q(0011),
      q(0),
      ],
   q(book pahlavi) => [
      q(0106),
      q(0),
      ],
   q(bopomofo) => [
      q(0012),
      q(0),
      ],
   q(brahmi) => [
      q(0013),
      q(0),
      ],
   q(braille) => [
      q(0014),
      q(0),
      ],
   q(buginese) => [
      q(0015),
      q(0),
      ],
   q(buhid) => [
      q(0016),
      q(0),
      ],
   q(carian) => [
      q(0019),
      q(0),
      ],
   q(chakma) => [
      q(0017),
      q(0),
      ],
   q(cham) => [
      q(0020),
      q(0),
      ],
   q(cherokee) => [
      q(0021),
      q(0),
      ],
   q(cirth) => [
      q(0022),
      q(0),
      ],
   q(code for inherited script) => [
      q(0153),
      q(0),
      ],
   q(coptic) => [
      q(0023),
      q(0),
      ],
   q(cuneiform, sumero-akkadian) => [
      q(0151),
      q(0),
      ],
   q(cypriot) => [
      q(0024),
      q(0),
      ],
   q(cyrillic) => [
      q(0025),
      q(0),
      ],
   q(cyrillic (old church slavonic variant)) => [
      q(0026),
      q(0),
      ],
   q(deseret (mormon)) => [
      q(0028),
      q(0),
      ],
   q(devanagari (nagari)) => [
      q(0027),
      q(0),
      ],
   q(duployan shorthand, duployan stenography) => [
      q(0029),
      q(0),
      ],
   q(egyptian demotic) => [
      q(0030),
      q(0),
      ],
   q(egyptian hieratic) => [
      q(0031),
      q(0),
      ],
   q(egyptian hieroglyphs) => [
      q(0032),
      q(0),
      ],
   q(elbasan) => [
      q(0033),
      q(0),
      ],
   q(ethiopic (geez)) => [
      q(0034),
      q(0),
      ],
   q(georgian (mkhedruli)) => [
      q(0035),
      q(0),
      ],
   q(glagolitic) => [
      q(0037),
      q(0),
      ],
   q(gothic) => [
      q(0038),
      q(0),
      ],
   q(grantha) => [
      q(0039),
      q(0),
      ],
   q(greek) => [
      q(0040),
      q(0),
      ],
   q(gujarati) => [
      q(0041),
      q(0),
      ],
   q(gurmukhi) => [
      q(0042),
      q(0),
      ],
   q(han (hanzi, kanji, hanja)) => [
      q(0044),
      q(0),
      ],
   q(han (simplified variant)) => [
      q(0046),
      q(0),
      ],
   q(han (traditional variant)) => [
      q(0047),
      q(0),
      ],
   q(hangul (hangul, hangeul)) => [
      q(0043),
      q(0),
      ],
   q(hanunoo (hanunoo)) => [
      q(0045),
      q(0),
      ],
   q(hebrew) => [
      q(0048),
      q(0),
      ],
   q(hiragana) => [
      q(0049),
      q(0),
      ],
   q(imperial aramaic) => [
      q(0003),
      q(0),
      ],
   q(indus (harappan)) => [
      q(0053),
      q(0),
      ],
   q(inscriptional pahlavi) => [
      q(0104),
      q(0),
      ],
   q(inscriptional parthian) => [
      q(0109),
      q(0),
      ],
   q(japanese (alias for han + hiragana + katakana)) => [
      q(0056),
      q(0),
      ],
   q(javanese) => [
      q(0055),
      q(0),
      ],
   q(jurchen) => [
      q(0057),
      q(0),
      ],
   q(kaithi) => [
      q(0065),
      q(0),
      ],
   q(kannada) => [
      q(0062),
      q(0),
      ],
   q(katakana) => [
      q(0059),
      q(0),
      ],
   q(kayah li) => [
      q(0058),
      q(0),
      ],
   q(kharoshthi) => [
      q(0060),
      q(0),
      ],
   q(khmer) => [
      q(0061),
      q(0),
      ],
   q(khudawadi, sindhi) => [
      q(0122),
      q(0),
      ],
   q(khutsuri (asomtavruli and nuskhuri)) => [
      q(0036),
      q(0),
      ],
   q(korean (alias for hangul + han)) => [
      q(0063),
      q(0),
      ],
   q(kpelle) => [
      q(0064),
      q(0),
      ],
   q(lao) => [
      q(0067),
      q(0),
      ],
   q(latin) => [
      q(0070),
      q(0),
      ],
   q(latin (fraktur variant)) => [
      q(0068),
      q(0),
      ],
   q(latin (gaelic variant)) => [
      q(0069),
      q(0),
      ],
   q(lepcha (rong)) => [
      q(0071),
      q(0),
      ],
   q(limbu) => [
      q(0072),
      q(0),
      ],
   q(linear a) => [
      q(0073),
      q(0),
      ],
   q(linear b) => [
      q(0074),
      q(0),
      ],
   q(lisu (fraser)) => [
      q(0075),
      q(0),
      ],
   q(loma) => [
      q(0076),
      q(0),
      ],
   q(lycian) => [
      q(0077),
      q(0),
      ],
   q(lydian) => [
      q(0078),
      q(0),
      ],
   q(malayalam) => [
      q(0085),
      q(0),
      ],
   q(mandaic, mandaean) => [
      q(0079),
      q(0),
      ],
   q(manichaean) => [
      q(0080),
      q(0),
      ],
   q(mathematical notation) => [
      q(0154),
      q(0),
      ],
   q(mayan hieroglyphs) => [
      q(0081),
      q(0),
      ],
   q(meitei mayek (meithei, meetei)) => [
      q(0089),
      q(0),
      ],
   q(mende) => [
      q(0082),
      q(0),
      ],
   q(meroitic cursive) => [
      q(0083),
      q(0),
      ],
   q(meroitic hieroglyphs) => [
      q(0084),
      q(0),
      ],
   q(miao (pollard)) => [
      q(0108),
      q(0),
      ],
   q(mongolian) => [
      q(0087),
      q(0),
      ],
   q(moon (moon code, moon script, moon type)) => [
      q(0086),
      q(0),
      ],
   q(mro, mru) => [
      q(0088),
      q(0),
      ],
   q(myanmar (burmese)) => [
      q(0090),
      q(0),
      ],
   q(n'ko) => [
      q(0094),
      q(0),
      ],
   q(nabataean) => [
      q(0092),
      q(0),
      ],
   q(nakhi geba ('na-'khi ggo-baw, naxi geba)) => [
      q(0093),
      q(0),
      ],
   q(new tai lue) => [
      q(0134),
      q(0),
      ],
   q(nushu) => [
      q(0095),
      q(0),
      ],
   q(ogham) => [
      q(0096),
      q(0),
      ],
   q(ol chiki (ol cemet, ol, santali)) => [
      q(0097),
      q(0),
      ],
   q(old hungarian) => [
      q(0052),
      q(0),
      ],
   q(old italic (etruscan, oscan, etc.)) => [
      q(0054),
      q(0),
      ],
   q(old north arabian (ancient north arabian)) => [
      q(0091),
      q(0),
      ],
   q(old permic) => [
      q(0102),
      q(0),
      ],
   q(old persian) => [
      q(0150),
      q(0),
      ],
   q(old south arabian) => [
      q(0117),
      q(0),
      ],
   q(old turkic, orkhon runic) => [
      q(0098),
      q(0),
      ],
   q(oriya) => [
      q(0099),
      q(0),
      ],
   q(osmanya) => [
      q(0100),
      q(0),
      ],
   q(pahawh hmong) => [
      q(0050),
      q(0),
      ],
   q(palmyrene) => [
      q(0101),
      q(0),
      ],
   q(phags-pa) => [
      q(0103),
      q(0),
      ],
   q(phoenician) => [
      q(0107),
      q(0),
      ],
   q(psalter pahlavi) => [
      q(0105),
      q(0),
      ],
   q(rejang (redjang, kaganga)) => [
      q(0112),
      q(0),
      ],
   q(reserved for private use (end)) => [
      q(0111),
      q(0),
      ],
   q(reserved for private use (start)) => [
      q(0110),
      q(0),
      ],
   q(rongorongo) => [
      q(0113),
      q(0),
      ],
   q(runic) => [
      q(0114),
      q(0),
      ],
   q(samaritan) => [
      q(0115),
      q(0),
      ],
   q(sarati) => [
      q(0116),
      q(0),
      ],
   q(saurashtra) => [
      q(0118),
      q(0),
      ],
   q(sharada, sarada) => [
      q(0121),
      q(0),
      ],
   q(shavian (shaw)) => [
      q(0120),
      q(0),
      ],
   q(signwriting) => [
      q(0119),
      q(0),
      ],
   q(sinhala) => [
      q(0123),
      q(0),
      ],
   q(sora sompeng) => [
      q(0124),
      q(0),
      ],
   q(sundanese) => [
      q(0125),
      q(0),
      ],
   q(syloti nagri) => [
      q(0126),
      q(0),
      ],
   q(symbols) => [
      q(0155),
      q(0),
      ],
   q(syriac) => [
      q(0127),
      q(0),
      ],
   q(syriac (eastern variant)) => [
      q(0130),
      q(0),
      ],
   q(syriac (estrangelo variant)) => [
      q(0128),
      q(0),
      ],
   q(syriac (western variant)) => [
      q(0129),
      q(0),
      ],
   q(tagalog (baybayin, alibata)) => [
      q(0141),
      q(0),
      ],
   q(tagbanwa) => [
      q(0131),
      q(0),
      ],
   q(tai le) => [
      q(0133),
      q(0),
      ],
   q(tai tham (lanna)) => [
      q(0066),
      q(0),
      ],
   q(tai viet) => [
      q(0137),
      q(0),
      ],
   q(takri, takri, tankri) => [
      q(0132),
      q(0),
      ],
   q(tamil) => [
      q(0135),
      q(0),
      ],
   q(tangut) => [
      q(0136),
      q(0),
      ],
   q(telugu) => [
      q(0138),
      q(0),
      ],
   q(tengwar) => [
      q(0139),
      q(0),
      ],
   q(thaana) => [
      q(0142),
      q(0),
      ],
   q(thai) => [
      q(0143),
      q(0),
      ],
   q(tibetan) => [
      q(0144),
      q(0),
      ],
   q(tifinagh (berber)) => [
      q(0140),
      q(0),
      ],
   q(ugaritic) => [
      q(0145),
      q(0),
      ],
   q(unified canadian aboriginal syllabics) => [
      q(0018),
      q(0),
      ],
   q(vai) => [
      q(0146),
      q(0),
      ],
   q(visible speech) => [
      q(0147),
      q(0),
      ],
   q(warang citi (varang kshiti)) => [
      q(0148),
      q(0),
      ],
   q(woleai) => [
      q(0149),
      q(0),
      ],
   q(yi) => [
      q(0152),
      q(0),
      ],
};

$Locale::Codes::Data{'script'}{'code2id'} = {
   q(alpha) => {
      q(Afak) => [
         q(0001),
         q(0),
         ],
      q(Arab) => [
         q(0002),
         q(0),
         ],
      q(Armi) => [
         q(0003),
         q(0),
         ],
      q(Armn) => [
         q(0004),
         q(0),
         ],
      q(Avst) => [
         q(0005),
         q(0),
         ],
      q(Bali) => [
         q(0006),
         q(0),
         ],
      q(Bamu) => [
         q(0007),
         q(0),
         ],
      q(Bass) => [
         q(0008),
         q(0),
         ],
      q(Batk) => [
         q(0009),
         q(0),
         ],
      q(Beng) => [
         q(0010),
         q(0),
         ],
      q(Blis) => [
         q(0011),
         q(0),
         ],
      q(Bopo) => [
         q(0012),
         q(0),
         ],
      q(Brah) => [
         q(0013),
         q(0),
         ],
      q(Brai) => [
         q(0014),
         q(0),
         ],
      q(Bugi) => [
         q(0015),
         q(0),
         ],
      q(Buhd) => [
         q(0016),
         q(0),
         ],
      q(Cakm) => [
         q(0017),
         q(0),
         ],
      q(Cans) => [
         q(0018),
         q(0),
         ],
      q(Cari) => [
         q(0019),
         q(0),
         ],
      q(Cham) => [
         q(0020),
         q(0),
         ],
      q(Cher) => [
         q(0021),
         q(0),
         ],
      q(Cirt) => [
         q(0022),
         q(0),
         ],
      q(Copt) => [
         q(0023),
         q(0),
         ],
      q(Cprt) => [
         q(0024),
         q(0),
         ],
      q(Cyrl) => [
         q(0025),
         q(0),
         ],
      q(Cyrs) => [
         q(0026),
         q(0),
         ],
      q(Deva) => [
         q(0027),
         q(0),
         ],
      q(Dsrt) => [
         q(0028),
         q(0),
         ],
      q(Dupl) => [
         q(0029),
         q(0),
         ],
      q(Egyd) => [
         q(0030),
         q(0),
         ],
      q(Egyh) => [
         q(0031),
         q(0),
         ],
      q(Egyp) => [
         q(0032),
         q(0),
         ],
      q(Elba) => [
         q(0033),
         q(0),
         ],
      q(Ethi) => [
         q(0034),
         q(0),
         ],
      q(Geok) => [
         q(0036),
         q(0),
         ],
      q(Geor) => [
         q(0035),
         q(0),
         ],
      q(Glag) => [
         q(0037),
         q(0),
         ],
      q(Goth) => [
         q(0038),
         q(0),
         ],
      q(Gran) => [
         q(0039),
         q(0),
         ],
      q(Grek) => [
         q(0040),
         q(0),
         ],
      q(Gujr) => [
         q(0041),
         q(0),
         ],
      q(Guru) => [
         q(0042),
         q(0),
         ],
      q(Hang) => [
         q(0043),
         q(0),
         ],
      q(Hani) => [
         q(0044),
         q(0),
         ],
      q(Hano) => [
         q(0045),
         q(0),
         ],
      q(Hans) => [
         q(0046),
         q(0),
         ],
      q(Hant) => [
         q(0047),
         q(0),
         ],
      q(Hebr) => [
         q(0048),
         q(0),
         ],
      q(Hira) => [
         q(0049),
         q(0),
         ],
      q(Hmng) => [
         q(0050),
         q(0),
         ],
      q(Hrkt) => [
         q(0051),
         q(0),
         ],
      q(Hung) => [
         q(0052),
         q(0),
         ],
      q(Inds) => [
         q(0053),
         q(0),
         ],
      q(Ital) => [
         q(0054),
         q(0),
         ],
      q(Java) => [
         q(0055),
         q(0),
         ],
      q(Jpan) => [
         q(0056),
         q(0),
         ],
      q(Jurc) => [
         q(0057),
         q(0),
         ],
      q(Kali) => [
         q(0058),
         q(0),
         ],
      q(Kana) => [
         q(0059),
         q(0),
         ],
      q(Khar) => [
         q(0060),
         q(0),
         ],
      q(Khmr) => [
         q(0061),
         q(0),
         ],
      q(Knda) => [
         q(0062),
         q(0),
         ],
      q(Kore) => [
         q(0063),
         q(0),
         ],
      q(Kpel) => [
         q(0064),
         q(0),
         ],
      q(Kthi) => [
         q(0065),
         q(0),
         ],
      q(Lana) => [
         q(0066),
         q(0),
         ],
      q(Laoo) => [
         q(0067),
         q(0),
         ],
      q(Latf) => [
         q(0068),
         q(0),
         ],
      q(Latg) => [
         q(0069),
         q(0),
         ],
      q(Latn) => [
         q(0070),
         q(0),
         ],
      q(Lepc) => [
         q(0071),
         q(0),
         ],
      q(Limb) => [
         q(0072),
         q(0),
         ],
      q(Lina) => [
         q(0073),
         q(0),
         ],
      q(Linb) => [
         q(0074),
         q(0),
         ],
      q(Lisu) => [
         q(0075),
         q(0),
         ],
      q(Loma) => [
         q(0076),
         q(0),
         ],
      q(Lyci) => [
         q(0077),
         q(0),
         ],
      q(Lydi) => [
         q(0078),
         q(0),
         ],
      q(Mand) => [
         q(0079),
         q(0),
         ],
      q(Mani) => [
         q(0080),
         q(0),
         ],
      q(Maya) => [
         q(0081),
         q(0),
         ],
      q(Mend) => [
         q(0082),
         q(0),
         ],
      q(Merc) => [
         q(0083),
         q(0),
         ],
      q(Mero) => [
         q(0084),
         q(0),
         ],
      q(Mlym) => [
         q(0085),
         q(0),
         ],
      q(Mong) => [
         q(0087),
         q(0),
         ],
      q(Moon) => [
         q(0086),
         q(0),
         ],
      q(Mroo) => [
         q(0088),
         q(0),
         ],
      q(Mtei) => [
         q(0089),
         q(0),
         ],
      q(Mymr) => [
         q(0090),
         q(0),
         ],
      q(Narb) => [
         q(0091),
         q(0),
         ],
      q(Nbat) => [
         q(0092),
         q(0),
         ],
      q(Nkgb) => [
         q(0093),
         q(0),
         ],
      q(Nkoo) => [
         q(0094),
         q(0),
         ],
      q(Nshu) => [
         q(0095),
         q(0),
         ],
      q(Ogam) => [
         q(0096),
         q(0),
         ],
      q(Olck) => [
         q(0097),
         q(0),
         ],
      q(Orkh) => [
         q(0098),
         q(0),
         ],
      q(Orya) => [
         q(0099),
         q(0),
         ],
      q(Osma) => [
         q(0100),
         q(0),
         ],
      q(Palm) => [
         q(0101),
         q(0),
         ],
      q(Perm) => [
         q(0102),
         q(0),
         ],
      q(Phag) => [
         q(0103),
         q(0),
         ],
      q(Phli) => [
         q(0104),
         q(0),
         ],
      q(Phlp) => [
         q(0105),
         q(0),
         ],
      q(Phlv) => [
         q(0106),
         q(0),
         ],
      q(Phnx) => [
         q(0107),
         q(0),
         ],
      q(Plrd) => [
         q(0108),
         q(0),
         ],
      q(Prti) => [
         q(0109),
         q(0),
         ],
      q(Qaaa) => [
         q(0110),
         q(0),
         ],
      q(Qabx) => [
         q(0111),
         q(0),
         ],
      q(Rjng) => [
         q(0112),
         q(0),
         ],
      q(Roro) => [
         q(0113),
         q(0),
         ],
      q(Runr) => [
         q(0114),
         q(0),
         ],
      q(Samr) => [
         q(0115),
         q(0),
         ],
      q(Sara) => [
         q(0116),
         q(0),
         ],
      q(Sarb) => [
         q(0117),
         q(0),
         ],
      q(Saur) => [
         q(0118),
         q(0),
         ],
      q(Sgnw) => [
         q(0119),
         q(0),
         ],
      q(Shaw) => [
         q(0120),
         q(0),
         ],
      q(Shrd) => [
         q(0121),
         q(0),
         ],
      q(Sind) => [
         q(0122),
         q(0),
         ],
      q(Sinh) => [
         q(0123),
         q(0),
         ],
      q(Sora) => [
         q(0124),
         q(0),
         ],
      q(Sund) => [
         q(0125),
         q(0),
         ],
      q(Sylo) => [
         q(0126),
         q(0),
         ],
      q(Syrc) => [
         q(0127),
         q(0),
         ],
      q(Syre) => [
         q(0128),
         q(0),
         ],
      q(Syrj) => [
         q(0129),
         q(0),
         ],
      q(Syrn) => [
         q(0130),
         q(0),
         ],
      q(Tagb) => [
         q(0131),
         q(0),
         ],
      q(Takr) => [
         q(0132),
         q(0),
         ],
      q(Tale) => [
         q(0133),
         q(0),
         ],
      q(Talu) => [
         q(0134),
         q(0),
         ],
      q(Taml) => [
         q(0135),
         q(0),
         ],
      q(Tang) => [
         q(0136),
         q(0),
         ],
      q(Tavt) => [
         q(0137),
         q(0),
         ],
      q(Telu) => [
         q(0138),
         q(0),
         ],
      q(Teng) => [
         q(0139),
         q(0),
         ],
      q(Tfng) => [
         q(0140),
         q(0),
         ],
      q(Tglg) => [
         q(0141),
         q(0),
         ],
      q(Thaa) => [
         q(0142),
         q(0),
         ],
      q(Thai) => [
         q(0143),
         q(0),
         ],
      q(Tibt) => [
         q(0144),
         q(0),
         ],
      q(Ugar) => [
         q(0145),
         q(0),
         ],
      q(Vaii) => [
         q(0146),
         q(0),
         ],
      q(Visp) => [
         q(0147),
         q(0),
         ],
      q(Wara) => [
         q(0148),
         q(0),
         ],
      q(Wole) => [
         q(0149),
         q(0),
         ],
      q(Xpeo) => [
         q(0150),
         q(0),
         ],
      q(Xsux) => [
         q(0151),
         q(0),
         ],
      q(Yiii) => [
         q(0152),
         q(0),
         ],
      q(Zinh) => [
         q(0153),
         q(0),
         ],
      q(Zmth) => [
         q(0154),
         q(0),
         ],
      q(Zsym) => [
         q(0155),
         q(0),
         ],
      },
   q(num) => {
      q(020) => [
         q(0151),
         q(0),
         ],
      q(030) => [
         q(0150),
         q(0),
         ],
      q(040) => [
         q(0145),
         q(0),
         ],
      q(050) => [
         q(0032),
         q(0),
         ],
      q(060) => [
         q(0031),
         q(0),
         ],
      q(070) => [
         q(0030),
         q(0),
         ],
      q(090) => [
         q(0081),
         q(0),
         ],
      q(095) => [
         q(0119),
         q(0),
         ],
      q(100) => [
         q(0084),
         q(0),
         ],
      q(101) => [
         q(0083),
         q(0),
         ],
      q(105) => [
         q(0117),
         q(0),
         ],
      q(106) => [
         q(0091),
         q(0),
         ],
      q(115) => [
         q(0107),
         q(0),
         ],
      q(116) => [
         q(0078),
         q(0),
         ],
      q(120) => [
         q(0140),
         q(0),
         ],
      q(123) => [
         q(0115),
         q(0),
         ],
      q(124) => [
         q(0003),
         q(0),
         ],
      q(125) => [
         q(0048),
         q(0),
         ],
      q(126) => [
         q(0101),
         q(0),
         ],
      q(130) => [
         q(0109),
         q(0),
         ],
      q(131) => [
         q(0104),
         q(0),
         ],
      q(132) => [
         q(0105),
         q(0),
         ],
      q(133) => [
         q(0106),
         q(0),
         ],
      q(134) => [
         q(0005),
         q(0),
         ],
      q(135) => [
         q(0127),
         q(0),
         ],
      q(136) => [
         q(0130),
         q(0),
         ],
      q(137) => [
         q(0129),
         q(0),
         ],
      q(138) => [
         q(0128),
         q(0),
         ],
      q(139) => [
         q(0080),
         q(0),
         ],
      q(140) => [
         q(0079),
         q(0),
         ],
      q(145) => [
         q(0087),
         q(0),
         ],
      q(159) => [
         q(0092),
         q(0),
         ],
      q(160) => [
         q(0002),
         q(0),
         ],
      q(165) => [
         q(0094),
         q(0),
         ],
      q(170) => [
         q(0142),
         q(0),
         ],
      q(175) => [
         q(0098),
         q(0),
         ],
      q(176) => [
         q(0052),
         q(0),
         ],
      q(199) => [
         q(0088),
         q(0),
         ],
      q(200) => [
         q(0040),
         q(0),
         ],
      q(201) => [
         q(0019),
         q(0),
         ],
      q(202) => [
         q(0077),
         q(0),
         ],
      q(204) => [
         q(0023),
         q(0),
         ],
      q(206) => [
         q(0038),
         q(0),
         ],
      q(210) => [
         q(0054),
         q(0),
         ],
      q(211) => [
         q(0114),
         q(0),
         ],
      q(212) => [
         q(0096),
         q(0),
         ],
      q(215) => [
         q(0070),
         q(0),
         ],
      q(216) => [
         q(0069),
         q(0),
         ],
      q(217) => [
         q(0068),
         q(0),
         ],
      q(218) => [
         q(0086),
         q(0),
         ],
      q(220) => [
         q(0025),
         q(0),
         ],
      q(221) => [
         q(0026),
         q(0),
         ],
      q(225) => [
         q(0037),
         q(0),
         ],
      q(226) => [
         q(0033),
         q(0),
         ],
      q(227) => [
         q(0102),
         q(0),
         ],
      q(230) => [
         q(0004),
         q(0),
         ],
      q(240) => [
         q(0035),
         q(0),
         ],
      q(241) => [
         q(0036),
         q(0),
         ],
      q(250) => [
         q(0028),
         q(0),
         ],
      q(259) => [
         q(0008),
         q(0),
         ],
      q(260) => [
         q(0100),
         q(0),
         ],
      q(261) => [
         q(0097),
         q(0),
         ],
      q(262) => [
         q(0148),
         q(0),
         ],
      q(280) => [
         q(0147),
         q(0),
         ],
      q(281) => [
         q(0120),
         q(0),
         ],
      q(282) => [
         q(0108),
         q(0),
         ],
      q(285) => [
         q(0012),
         q(0),
         ],
      q(286) => [
         q(0043),
         q(0),
         ],
      q(287) => [
         q(0063),
         q(0),
         ],
      q(290) => [
         q(0139),
         q(0),
         ],
      q(291) => [
         q(0022),
         q(0),
         ],
      q(292) => [
         q(0116),
         q(0),
         ],
      q(300) => [
         q(0013),
         q(0),
         ],
      q(305) => [
         q(0060),
         q(0),
         ],
      q(310) => [
         q(0042),
         q(0),
         ],
      q(315) => [
         q(0027),
         q(0),
         ],
      q(316) => [
         q(0126),
         q(0),
         ],
      q(317) => [
         q(0065),
         q(0),
         ],
      q(318) => [
         q(0122),
         q(0),
         ],
      q(319) => [
         q(0121),
         q(0),
         ],
      q(320) => [
         q(0041),
         q(0),
         ],
      q(321) => [
         q(0132),
         q(0),
         ],
      q(325) => [
         q(0010),
         q(0),
         ],
      q(327) => [
         q(0099),
         q(0),
         ],
      q(330) => [
         q(0144),
         q(0),
         ],
      q(331) => [
         q(0103),
         q(0),
         ],
      q(335) => [
         q(0071),
         q(0),
         ],
      q(336) => [
         q(0072),
         q(0),
         ],
      q(337) => [
         q(0089),
         q(0),
         ],
      q(340) => [
         q(0138),
         q(0),
         ],
      q(343) => [
         q(0039),
         q(0),
         ],
      q(344) => [
         q(0118),
         q(0),
         ],
      q(345) => [
         q(0062),
         q(0),
         ],
      q(346) => [
         q(0135),
         q(0),
         ],
      q(347) => [
         q(0085),
         q(0),
         ],
      q(348) => [
         q(0123),
         q(0),
         ],
      q(349) => [
         q(0017),
         q(0),
         ],
      q(350) => [
         q(0090),
         q(0),
         ],
      q(351) => [
         q(0066),
         q(0),
         ],
      q(352) => [
         q(0143),
         q(0),
         ],
      q(353) => [
         q(0133),
         q(0),
         ],
      q(354) => [
         q(0134),
         q(0),
         ],
      q(355) => [
         q(0061),
         q(0),
         ],
      q(356) => [
         q(0067),
         q(0),
         ],
      q(357) => [
         q(0058),
         q(0),
         ],
      q(358) => [
         q(0020),
         q(0),
         ],
      q(359) => [
         q(0137),
         q(0),
         ],
      q(360) => [
         q(0006),
         q(0),
         ],
      q(361) => [
         q(0055),
         q(0),
         ],
      q(362) => [
         q(0125),
         q(0),
         ],
      q(363) => [
         q(0112),
         q(0),
         ],
      q(365) => [
         q(0009),
         q(0),
         ],
      q(367) => [
         q(0015),
         q(0),
         ],
      q(370) => [
         q(0141),
         q(0),
         ],
      q(371) => [
         q(0045),
         q(0),
         ],
      q(372) => [
         q(0016),
         q(0),
         ],
      q(373) => [
         q(0131),
         q(0),
         ],
      q(398) => [
         q(0124),
         q(0),
         ],
      q(399) => [
         q(0075),
         q(0),
         ],
      q(400) => [
         q(0073),
         q(0),
         ],
      q(401) => [
         q(0074),
         q(0),
         ],
      q(403) => [
         q(0024),
         q(0),
         ],
      q(410) => [
         q(0049),
         q(0),
         ],
      q(411) => [
         q(0059),
         q(0),
         ],
      q(412) => [
         q(0051),
         q(0),
         ],
      q(413) => [
         q(0056),
         q(0),
         ],
      q(420) => [
         q(0093),
         q(0),
         ],
      q(430) => [
         q(0034),
         q(0),
         ],
      q(435) => [
         q(0007),
         q(0),
         ],
      q(436) => [
         q(0064),
         q(0),
         ],
      q(437) => [
         q(0076),
         q(0),
         ],
      q(438) => [
         q(0082),
         q(0),
         ],
      q(439) => [
         q(0001),
         q(0),
         ],
      q(440) => [
         q(0018),
         q(0),
         ],
      q(445) => [
         q(0021),
         q(0),
         ],
      q(450) => [
         q(0050),
         q(0),
         ],
      q(460) => [
         q(0152),
         q(0),
         ],
      q(470) => [
         q(0146),
         q(0),
         ],
      q(480) => [
         q(0149),
         q(0),
         ],
      q(499) => [
         q(0095),
         q(0),
         ],
      q(500) => [
         q(0044),
         q(0),
         ],
      q(501) => [
         q(0046),
         q(0),
         ],
      q(502) => [
         q(0047),
         q(0),
         ],
      q(510) => [
         q(0057),
         q(0),
         ],
      q(520) => [
         q(0136),
         q(0),
         ],
      q(550) => [
         q(0011),
         q(0),
         ],
      q(570) => [
         q(0014),
         q(0),
         ],
      q(610) => [
         q(0053),
         q(0),
         ],
      q(620) => [
         q(0113),
         q(0),
         ],
      q(755) => [
         q(0029),
         q(0),
         ],
      q(900) => [
         q(0110),
         q(0),
         ],
      q(949) => [
         q(0111),
         q(0),
         ],
      q(994) => [
         q(0153),
         q(0),
         ],
      q(995) => [
         q(0154),
         q(0),
         ],
      q(996) => [
         q(0155),
         q(0),
         ],
      },
};

$Locale::Codes::Data{'script'}{'id2code'} = {
   q(alpha) => {
      q(0001) => q(Afak),
      q(0002) => q(Arab),
      q(0003) => q(Armi),
      q(0004) => q(Armn),
      q(0005) => q(Avst),
      q(0006) => q(Bali),
      q(0007) => q(Bamu),
      q(0008) => q(Bass),
      q(0009) => q(Batk),
      q(0010) => q(Beng),
      q(0011) => q(Blis),
      q(0012) => q(Bopo),
      q(0013) => q(Brah),
      q(0014) => q(Brai),
      q(0015) => q(Bugi),
      q(0016) => q(Buhd),
      q(0017) => q(Cakm),
      q(0018) => q(Cans),
      q(0019) => q(Cari),
      q(0020) => q(Cham),
      q(0021) => q(Cher),
      q(0022) => q(Cirt),
      q(0023) => q(Copt),
      q(0024) => q(Cprt),
      q(0025) => q(Cyrl),
      q(0026) => q(Cyrs),
      q(0027) => q(Deva),
      q(0028) => q(Dsrt),
      q(0029) => q(Dupl),
      q(0030) => q(Egyd),
      q(0031) => q(Egyh),
      q(0032) => q(Egyp),
      q(0033) => q(Elba),
      q(0034) => q(Ethi),
      q(0035) => q(Geor),
      q(0036) => q(Geok),
      q(0037) => q(Glag),
      q(0038) => q(Goth),
      q(0039) => q(Gran),
      q(0040) => q(Grek),
      q(0041) => q(Gujr),
      q(0042) => q(Guru),
      q(0043) => q(Hang),
      q(0044) => q(Hani),
      q(0045) => q(Hano),
      q(0046) => q(Hans),
      q(0047) => q(Hant),
      q(0048) => q(Hebr),
      q(0049) => q(Hira),
      q(0050) => q(Hmng),
      q(0051) => q(Hrkt),
      q(0052) => q(Hung),
      q(0053) => q(Inds),
      q(0054) => q(Ital),
      q(0055) => q(Java),
      q(0056) => q(Jpan),
      q(0057) => q(Jurc),
      q(0058) => q(Kali),
      q(0059) => q(Kana),
      q(0060) => q(Khar),
      q(0061) => q(Khmr),
      q(0062) => q(Knda),
      q(0063) => q(Kore),
      q(0064) => q(Kpel),
      q(0065) => q(Kthi),
      q(0066) => q(Lana),
      q(0067) => q(Laoo),
      q(0068) => q(Latf),
      q(0069) => q(Latg),
      q(0070) => q(Latn),
      q(0071) => q(Lepc),
      q(0072) => q(Limb),
      q(0073) => q(Lina),
      q(0074) => q(Linb),
      q(0075) => q(Lisu),
      q(0076) => q(Loma),
      q(0077) => q(Lyci),
      q(0078) => q(Lydi),
      q(0079) => q(Mand),
      q(0080) => q(Mani),
      q(0081) => q(Maya),
      q(0082) => q(Mend),
      q(0083) => q(Merc),
      q(0084) => q(Mero),
      q(0085) => q(Mlym),
      q(0086) => q(Moon),
      q(0087) => q(Mong),
      q(0088) => q(Mroo),
      q(0089) => q(Mtei),
      q(0090) => q(Mymr),
      q(0091) => q(Narb),
      q(0092) => q(Nbat),
      q(0093) => q(Nkgb),
      q(0094) => q(Nkoo),
      q(0095) => q(Nshu),
      q(0096) => q(Ogam),
      q(0097) => q(Olck),
      q(0098) => q(Orkh),
      q(0099) => q(Orya),
      q(0100) => q(Osma),
      q(0101) => q(Palm),
      q(0102) => q(Perm),
      q(0103) => q(Phag),
      q(0104) => q(Phli),
      q(0105) => q(Phlp),
      q(0106) => q(Phlv),
      q(0107) => q(Phnx),
      q(0108) => q(Plrd),
      q(0109) => q(Prti),
      q(0110) => q(Qaaa),
      q(0111) => q(Qabx),
      q(0112) => q(Rjng),
      q(0113) => q(Roro),
      q(0114) => q(Runr),
      q(0115) => q(Samr),
      q(0116) => q(Sara),
      q(0117) => q(Sarb),
      q(0118) => q(Saur),
      q(0119) => q(Sgnw),
      q(0120) => q(Shaw),
      q(0121) => q(Shrd),
      q(0122) => q(Sind),
      q(0123) => q(Sinh),
      q(0124) => q(Sora),
      q(0125) => q(Sund),
      q(0126) => q(Sylo),
      q(0127) => q(Syrc),
      q(0128) => q(Syre),
      q(0129) => q(Syrj),
      q(0130) => q(Syrn),
      q(0131) => q(Tagb),
      q(0132) => q(Takr),
      q(0133) => q(Tale),
      q(0134) => q(Talu),
      q(0135) => q(Taml),
      q(0136) => q(Tang),
      q(0137) => q(Tavt),
      q(0138) => q(Telu),
      q(0139) => q(Teng),
      q(0140) => q(Tfng),
      q(0141) => q(Tglg),
      q(0142) => q(Thaa),
      q(0143) => q(Thai),
      q(0144) => q(Tibt),
      q(0145) => q(Ugar),
      q(0146) => q(Vaii),
      q(0147) => q(Visp),
      q(0148) => q(Wara),
      q(0149) => q(Wole),
      q(0150) => q(Xpeo),
      q(0151) => q(Xsux),
      q(0152) => q(Yiii),
      q(0153) => q(Zinh),
      q(0154) => q(Zmth),
      q(0155) => q(Zsym),
      },
   q(num) => {
      q(0001) => q(439),
      q(0002) => q(160),
      q(0003) => q(124),
      q(0004) => q(230),
      q(0005) => q(134),
      q(0006) => q(360),
      q(0007) => q(435),
      q(0008) => q(259),
      q(0009) => q(365),
      q(0010) => q(325),
      q(0011) => q(550),
      q(0012) => q(285),
      q(0013) => q(300),
      q(0014) => q(570),
      q(0015) => q(367),
      q(0016) => q(372),
      q(0017) => q(349),
      q(0018) => q(440),
      q(0019) => q(201),
      q(0020) => q(358),
      q(0021) => q(445),
      q(0022) => q(291),
      q(0023) => q(204),
      q(0024) => q(403),
      q(0025) => q(220),
      q(0026) => q(221),
      q(0027) => q(315),
      q(0028) => q(250),
      q(0029) => q(755),
      q(0030) => q(070),
      q(0031) => q(060),
      q(0032) => q(050),
      q(0033) => q(226),
      q(0034) => q(430),
      q(0035) => q(240),
      q(0036) => q(241),
      q(0037) => q(225),
      q(0038) => q(206),
      q(0039) => q(343),
      q(0040) => q(200),
      q(0041) => q(320),
      q(0042) => q(310),
      q(0043) => q(286),
      q(0044) => q(500),
      q(0045) => q(371),
      q(0046) => q(501),
      q(0047) => q(502),
      q(0048) => q(125),
      q(0049) => q(410),
      q(0050) => q(450),
      q(0051) => q(412),
      q(0052) => q(176),
      q(0053) => q(610),
      q(0054) => q(210),
      q(0055) => q(361),
      q(0056) => q(413),
      q(0057) => q(510),
      q(0058) => q(357),
      q(0059) => q(411),
      q(0060) => q(305),
      q(0061) => q(355),
      q(0062) => q(345),
      q(0063) => q(287),
      q(0064) => q(436),
      q(0065) => q(317),
      q(0066) => q(351),
      q(0067) => q(356),
      q(0068) => q(217),
      q(0069) => q(216),
      q(0070) => q(215),
      q(0071) => q(335),
      q(0072) => q(336),
      q(0073) => q(400),
      q(0074) => q(401),
      q(0075) => q(399),
      q(0076) => q(437),
      q(0077) => q(202),
      q(0078) => q(116),
      q(0079) => q(140),
      q(0080) => q(139),
      q(0081) => q(090),
      q(0082) => q(438),
      q(0083) => q(101),
      q(0084) => q(100),
      q(0085) => q(347),
      q(0086) => q(218),
      q(0087) => q(145),
      q(0088) => q(199),
      q(0089) => q(337),
      q(0090) => q(350),
      q(0091) => q(106),
      q(0092) => q(159),
      q(0093) => q(420),
      q(0094) => q(165),
      q(0095) => q(499),
      q(0096) => q(212),
      q(0097) => q(261),
      q(0098) => q(175),
      q(0099) => q(327),
      q(0100) => q(260),
      q(0101) => q(126),
      q(0102) => q(227),
      q(0103) => q(331),
      q(0104) => q(131),
      q(0105) => q(132),
      q(0106) => q(133),
      q(0107) => q(115),
      q(0108) => q(282),
      q(0109) => q(130),
      q(0110) => q(900),
      q(0111) => q(949),
      q(0112) => q(363),
      q(0113) => q(620),
      q(0114) => q(211),
      q(0115) => q(123),
      q(0116) => q(292),
      q(0117) => q(105),
      q(0118) => q(344),
      q(0119) => q(095),
      q(0120) => q(281),
      q(0121) => q(319),
      q(0122) => q(318),
      q(0123) => q(348),
      q(0124) => q(398),
      q(0125) => q(362),
      q(0126) => q(316),
      q(0127) => q(135),
      q(0128) => q(138),
      q(0129) => q(137),
      q(0130) => q(136),
      q(0131) => q(373),
      q(0132) => q(321),
      q(0133) => q(353),
      q(0134) => q(354),
      q(0135) => q(346),
      q(0136) => q(520),
      q(0137) => q(359),
      q(0138) => q(340),
      q(0139) => q(290),
      q(0140) => q(120),
      q(0141) => q(370),
      q(0142) => q(170),
      q(0143) => q(352),
      q(0144) => q(330),
      q(0145) => q(040),
      q(0146) => q(470),
      q(0147) => q(280),
      q(0148) => q(262),
      q(0149) => q(480),
      q(0150) => q(030),
      q(0151) => q(020),
      q(0152) => q(460),
      q(0153) => q(994),
      q(0154) => q(995),
      q(0155) => q(996),
      },
};

1;
